<script setup>
import AdminAppLayout from "@/Layouts/AdminAppLayout.vue";
import {Link, useForm} from "@inertiajs/vue3";

const props = defineProps({
    posts: Array,
});

const form = useForm([]);

const trashItem = (item) => {
    let isConfirm = confirm("Вы действительно хотите удалить предмет?");

    if (isConfirm){
        form.delete(route('admin.posts.destroy',item), {
            preserveScroll: true
        });
    }
}
</script>

<template>
    <AdminAppLayout>
        <div class="row">
            <div class="col-md-12">
                <h1>Новости</h1>
                <div class="col-12">
                    <div class="row justify-content-end">
                        <div class="col-2">
                          <Link as='button' :href="route('admin.posts.create')" class="btn btn-success">
                            Добавить
                          </Link>
                        </div>
                    </div>
                </div>
                <table class="table">
                    <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Заголовок</th>
                        <th scope="col">Изображение</th>
                        <th scope="col">Опции</th>
                    </tr>
                    </thead>
                    <tbody>
                        <tr v-for="(post, key) of posts" :key="key">
                            <th scope="row">{{ ++key }}</th>
                            <td>{{ post.title }}</td>
                            <td>
                                <img width="100" :src="post.image" />
                            </td>
                            <td>
                                <div
                                    class="btn-group"
                                    role="group"
                                    aria-label="Basic example"
                                >
                                    <Link
                                        as="button"
                                        type="button"
                                        class="btn btn-success"
                                        :href="route('admin.posts.edit', post)"
                                    >
                                        Редактировать
                                    </Link>
                                    <button
                                        type="button"
                                        class="btn btn-danger"
                                        @click="trashItem(post)"
                                    >
                                        Удалить
                                    </button>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>


    </AdminAppLayout>

</template>

<style scoped>
.select-template{
  display: flex;
}</style>
